Tham chiếu API
Sử dụng một cổng và khóa API trên các quy trình làm việc phương tiện không đồng bộ, OpenAI-compatible, Anthropic và Gemini.
- Server
https://api.anyint.aiNguồn AnyInt Gateway phục vụ tài liệu OpenAPI này.
74 điểm cuối
Tích hợp ChatRoom
3 điểm cuốiDiscover key-scoped models and enterprise capabilities for independent ChatRoom clients.
Permanent ChatRoom integration authenticated with a Developer API key. Independent of legacy compatibility flags and sunset. Preserves tenant/key visibility and imported stable ownership references without calling the old core. Identity sessions must first obtain an execution credential through the authenticated BFF product-credential contract.
GET /v1/chatroom/modelsVí dụ yêu cầu
curl \
--request GET \
--url 'https://api.anyint.ai/v1/chatroom/models?scope=<scope>' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Tham số
| Tên | Vị trí | Loại | Bắt buộc | Mô tả |
|---|---|---|---|---|
| scope | query | string | Bắt buộc | — |
| limit | query | integer | Tùy chọn | —Ví dụ: 1000 |
Các phản hồi
{
"success": true,
"data": {
"models": [],
"total": 0
}
}Permanent ChatRoom integration authenticated with a Developer API key. Independent of legacy compatibility flags and sunset. Preserves tenant/key visibility and imported stable ownership references without calling the old core. Identity sessions must first obtain an execution credential through the authenticated BFF product-credential contract.
GET /v1/chatroom/enterprise-contextVí dụ yêu cầu
curl \
--request GET \
--url 'https://api.anyint.ai/v1/chatroom/enterprise-context' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Các phản hồi
{
"success": true,
"data": {
"featureControls": {
"seedanceAuthorizedAssets": false
}
}
}Permanent ChatRoom integration authenticated with a Developer API key. Independent of legacy compatibility flags and sunset. Preserves tenant/key visibility and imported stable ownership references without calling the old core. Identity sessions must first obtain an execution credential through the authenticated BFF product-credential contract.
GET /v1/chatroom/key-contextVí dụ yêu cầu
curl \
--request GET \
--url 'https://api.anyint.ai/v1/chatroom/key-context' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Các phản hồi
{
"success": true,
"data": {
"userId": "user_example",
"apiKeyId": "key_example",
"featureControls": {
"seedanceAuthorizedAssets": false
}
}
}Trò chuyện
2 điểm cuốiTạo các phản hồi hội thoại tương thích với OpenAI.
Ví dụ yêu cầu
curl \
--request POST \
--url 'https://api.anyint.ai/v1/chat/completions' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"messages": [
{
"role": "user",
"content": "Explain edge computing in 2 sentences."
}
]
}'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Nội dung yêu cầu
Bắt buộc{
"model": "your-model-id",
"messages": [
{
"role": "user",
"content": "Explain edge computing in 2 sentences."
}
]
}Các phản hồi
{
"id": "chatcmpl_example",
"object": "chat.completion",
"choices": [
{
"index": 0,
"message": {
"role": "assistant",
"content": "Edge computing processes data near its source, reducing latency and bandwidth use."
},
"finish_reason": "stop"
}
]
}Ví dụ yêu cầu
curl \
--request POST \
--url 'https://api.anyint.ai/openai/v1/chat/completions' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"messages": [
{
"role": "user",
"content": "Explain edge computing in 2 sentences."
}
]
}'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Nội dung yêu cầu
Bắt buộc{
"model": "your-model-id",
"messages": [
{
"role": "user",
"content": "Explain edge computing in 2 sentences."
}
]
}Các phản hồi
{
"id": "chatcmpl_example",
"object": "chat.completion",
"choices": [
{
"index": 0,
"message": {
"role": "assistant",
"content": "Edge computing processes data near its source, reducing latency and bandwidth use."
},
"finish_reason": "stop"
}
]
}Phản hồi
2 điểm cuốiTạo phản hồi với định dạng API Phản hồi của OpenAI.
Ví dụ yêu cầu
curl \
--request POST \
--url 'https://api.anyint.ai/v1/responses' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"input": "Write a short welcome message."
}'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Nội dung yêu cầu
Bắt buộc{
"model": "your-model-id",
"input": "Write a short welcome message."
}Các phản hồi
{
"id": "resp_example",
"object": "response",
"status": "completed"
}Ví dụ yêu cầu
curl \
--request POST \
--url 'https://api.anyint.ai/openai/v1/responses' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"input": "Write a short welcome message."
}'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Nội dung yêu cầu
Bắt buộc{
"model": "your-model-id",
"input": "Write a short welcome message."
}Các phản hồi
{
"id": "resp_example",
"object": "response",
"status": "completed"
}Hoàn thành văn bản
2 điểm cuốiTạo các hoàn thành văn bản cũ tương thích với OpenAI.
Ví dụ yêu cầu
curl \
--request POST \
--url 'https://api.anyint.ai/v1/completions' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"prompt": "Once upon a time"
}'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Nội dung yêu cầu
Bắt buộc{
"model": "your-model-id",
"prompt": "Once upon a time"
}Các phản hồi
{
"id": "cmpl_example",
"object": "text_completion",
"choices": [
{
"index": 0,
"text": " there was a quiet coast."
}
]
}Ví dụ yêu cầu
curl \
--request POST \
--url 'https://api.anyint.ai/openai/v1/completions' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"prompt": "Once upon a time"
}'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Nội dung yêu cầu
Bắt buộc{
"model": "your-model-id",
"prompt": "Once upon a time"
}Các phản hồi
{
"id": "cmpl_example",
"object": "text_completion",
"choices": [
{
"index": 0,
"text": " there was a quiet coast."
}
]
}Embeddings
2 điểm cuốiTạo vector embeddings từ đầu vào văn bản.
Ví dụ yêu cầu
curl \
--request POST \
--url 'https://api.anyint.ai/v1/embeddings' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"input": "A calm ocean at dawn"
}'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Nội dung yêu cầu
Bắt buộc{
"model": "your-model-id",
"input": "A calm ocean at dawn"
}Các phản hồi
{
"object": "list",
"data": [
{
"object": "embedding",
"index": 0,
"embedding": [
0.012,
-0.008,
0.021
]
}
]
}Ví dụ yêu cầu
curl \
--request POST \
--url 'https://api.anyint.ai/openai/v1/embeddings' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"input": "A calm ocean at dawn"
}'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Nội dung yêu cầu
Bắt buộc{
"model": "your-model-id",
"input": "A calm ocean at dawn"
}Các phản hồi
{
"object": "list",
"data": [
{
"object": "embedding",
"index": 0,
"embedding": [
0.012,
-0.008,
0.021
]
}
]
}Kiểm duyệt
2 điểm cuốiPhân loại văn bản hoặc hình ảnh có khả năng gây hại.
Ví dụ yêu cầu
curl \
--request POST \
--url 'https://api.anyint.ai/v1/moderations' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"input": "Text to classify"
}'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Nội dung yêu cầu
Bắt buộc{
"input": "Text to classify"
}Các phản hồi
{
"id": "modr_example",
"model": "your-model-id",
"results": [
{
"flagged": false,
"categories": {},
"category_scores": {}
}
]
}Ví dụ yêu cầu
curl \
--request POST \
--url 'https://api.anyint.ai/openai/v1/moderations' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"input": "Text to classify"
}'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Nội dung yêu cầu
Bắt buộc{
"input": "Text to classify"
}Các phản hồi
{
"id": "modr_example",
"model": "your-model-id",
"results": [
{
"flagged": false,
"categories": {},
"category_scores": {}
}
]
}Lô
8 điểm cuốiGửi các lô JSONL gốc của nhà cung cấp khi bộ nhớ đối tượng được bật cho bản triển khai.
Ví dụ yêu cầu
curl \
--request GET \
--url 'https://api.anyint.ai/v1/batches' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Tham số
| Tên | Vị trí | Loại | Bắt buộc | Mô tả |
|---|---|---|---|---|
| after | query | string | Tùy chọn | — |
| limit | query | integer | Tùy chọn | —Ví dụ: 20 |
Các phản hồi
{
"object": "list",
"data": [
{
"id": "batch_example",
"object": "batch",
"endpoint": "/v1/chat/completions",
"input_file_id": "file_example",
"completion_window": "24h",
"status": "in_progress",
"created_at": 1700000000,
"request_counts": {
"total": 100,
"completed": 0,
"failed": 0
}
}
],
"first_id": "batch_example",
"last_id": "batch_example",
"has_more": false
}Ví dụ yêu cầu
curl \
--request POST \
--url 'https://api.anyint.ai/v1/batches' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"input_file_id": "file_example",
"endpoint": "/v1/chat/completions",
"completion_window": "24h"
}'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Nội dung yêu cầu
Bắt buộc{
"input_file_id": "file_example",
"endpoint": "/v1/chat/completions",
"completion_window": "24h"
}Các phản hồi
{
"id": "batch_example",
"object": "batch",
"endpoint": "/v1/chat/completions",
"input_file_id": "file_example",
"completion_window": "24h",
"status": "in_progress",
"created_at": 1700000000,
"request_counts": {
"total": 100,
"completed": 0,
"failed": 0
}
}Ví dụ yêu cầu
curl \
--request GET \
--url 'https://api.anyint.ai/openai/v1/batches' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Tham số
| Tên | Vị trí | Loại | Bắt buộc | Mô tả |
|---|---|---|---|---|
| after | query | string | Tùy chọn | — |
| limit | query | integer | Tùy chọn | —Ví dụ: 20 |
Các phản hồi
{
"object": "list",
"data": [
{
"id": "batch_example",
"object": "batch",
"endpoint": "/v1/chat/completions",
"input_file_id": "file_example",
"completion_window": "24h",
"status": "in_progress",
"created_at": 1700000000,
"request_counts": {
"total": 100,
"completed": 0,
"failed": 0
}
}
],
"first_id": "batch_example",
"last_id": "batch_example",
"has_more": false
}Ví dụ yêu cầu
curl \
--request POST \
--url 'https://api.anyint.ai/openai/v1/batches' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"input_file_id": "file_example",
"endpoint": "/v1/chat/completions",
"completion_window": "24h"
}'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Nội dung yêu cầu
Bắt buộc{
"input_file_id": "file_example",
"endpoint": "/v1/chat/completions",
"completion_window": "24h"
}Các phản hồi
{
"id": "batch_example",
"object": "batch",
"endpoint": "/v1/chat/completions",
"input_file_id": "file_example",
"completion_window": "24h",
"status": "in_progress",
"created_at": 1700000000,
"request_counts": {
"total": 100,
"completed": 0,
"failed": 0
}
}Ví dụ yêu cầu
curl \
--request GET \
--url 'https://api.anyint.ai/v1/batches/<batch_id>' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Tham số
| Tên | Vị trí | Loại | Bắt buộc | Mô tả |
|---|---|---|---|---|
| batch_id | path | string | Bắt buộc | — |
Các phản hồi
{
"id": "batch_example",
"object": "batch",
"endpoint": "/v1/chat/completions",
"input_file_id": "file_example",
"completion_window": "24h",
"status": "in_progress",
"created_at": 1700000000,
"request_counts": {
"total": 100,
"completed": 0,
"failed": 0
}
}Ví dụ yêu cầu
curl \
--request GET \
--url 'https://api.anyint.ai/openai/v1/batches/<batch_id>' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Tham số
| Tên | Vị trí | Loại | Bắt buộc | Mô tả |
|---|---|---|---|---|
| batch_id | path | string | Bắt buộc | — |
Các phản hồi
{
"id": "batch_example",
"object": "batch",
"endpoint": "/v1/chat/completions",
"input_file_id": "file_example",
"completion_window": "24h",
"status": "in_progress",
"created_at": 1700000000,
"request_counts": {
"total": 100,
"completed": 0,
"failed": 0
}
}Ví dụ yêu cầu
curl \
--request POST \
--url 'https://api.anyint.ai/v1/batches/<batch_id>/cancel' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Tham số
| Tên | Vị trí | Loại | Bắt buộc | Mô tả |
|---|---|---|---|---|
| batch_id | path | string | Bắt buộc | — |
Các phản hồi
{
"id": "batch_example",
"object": "batch",
"endpoint": "/v1/chat/completions",
"input_file_id": "file_example",
"completion_window": "24h",
"status": "in_progress",
"created_at": 1700000000,
"request_counts": {
"total": 100,
"completed": 0,
"failed": 0
}
}Ví dụ yêu cầu
curl \
--request POST \
--url 'https://api.anyint.ai/openai/v1/batches/<batch_id>/cancel' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Tham số
| Tên | Vị trí | Loại | Bắt buộc | Mô tả |
|---|---|---|---|---|
| batch_id | path | string | Bắt buộc | — |
Các phản hồi
{
"id": "batch_example",
"object": "batch",
"endpoint": "/v1/chat/completions",
"input_file_id": "file_example",
"completion_window": "24h",
"status": "in_progress",
"created_at": 1700000000,
"request_counts": {
"total": 100,
"completed": 0,
"failed": 0
}
}Tệp
5 điểm cuốiTải lên, liệt kê, kiểm tra và tải xuống các tệp.
Ví dụ yêu cầu
curl \
--request GET \
--url 'https://api.anyint.ai/openai/v1/files' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Các phản hồi
{
"object": "list",
"data": [
{
"id": "file_example",
"object": "file",
"bytes": 128,
"created_at": 1700000000,
"filename": "document.jsonl",
"purpose": "batch",
"status": "processed"
}
]
}Ví dụ yêu cầu
curl \
--request POST \
--url 'https://api.anyint.ai/openai/v1/files' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--form 'file=@path/to/document.jsonl' \
--form 'purpose=batch'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Nội dung yêu cầu
Bắt buộc{
"file": "document.jsonl",
"purpose": "batch"
}Các phản hồi
{
"id": "file_example",
"object": "file",
"bytes": 128,
"created_at": 1700000000,
"filename": "document.jsonl",
"purpose": "batch",
"status": "processed"
}Ví dụ yêu cầu
curl \
--request GET \
--url 'https://api.anyint.ai/openai/v1/files/<file_id>' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Tham số
| Tên | Vị trí | Loại | Bắt buộc | Mô tả |
|---|---|---|---|---|
| file_id | path | string | Bắt buộc | — |
Các phản hồi
{
"id": "file_example",
"object": "file",
"bytes": 128,
"created_at": 1700000000,
"filename": "document.jsonl",
"purpose": "batch",
"status": "processed"
}Ví dụ yêu cầu
curl \
--request DELETE \
--url 'https://api.anyint.ai/openai/v1/files/<file_id>' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Tham số
| Tên | Vị trí | Loại | Bắt buộc | Mô tả |
|---|---|---|---|---|
| file_id | path | string | Bắt buộc | — |
Các phản hồi
{
"id": "file_example",
"object": "file",
"deleted": true
}Ví dụ yêu cầu
curl \
--request GET \
--url 'https://api.anyint.ai/openai/v1/files/<file_id>/content' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/octet-stream'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Tham số
| Tên | Vị trí | Loại | Bắt buộc | Mô tả |
|---|---|---|---|---|
| file_id | path | string | Bắt buộc | — |
Các phản hồi
<binary>Âm thanh
3 điểm cuốiPhiên âm âm thanh, dịch âm thanh sang tiếng Anh hoặc tổng hợp giọng nói.
Ví dụ yêu cầu
curl \
--request POST \
--url 'https://api.anyint.ai/openai/v1/audio/transcriptions' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--form 'file=@path/to/audio.wav' \
--form 'model=your-model-id'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Nội dung yêu cầu
Bắt buộc{
"file": "audio.wav",
"model": "your-model-id"
}Các phản hồi
{
"text": "Example transcript."
}Ví dụ yêu cầu
curl \
--request POST \
--url 'https://api.anyint.ai/openai/v1/audio/translations' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--form 'file=@path/to/audio.wav' \
--form 'model=your-model-id'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Nội dung yêu cầu
Bắt buộc{
"file": "audio.wav",
"model": "your-model-id"
}Các phản hồi
{
"text": "Example transcript."
}Ví dụ yêu cầu
curl \
--request POST \
--url 'https://api.anyint.ai/openai/v1/audio/speech' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: audio/mpeg' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"voice": "your-voice-id",
"input": "Welcome to AnyInt Gateway."
}'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Nội dung yêu cầu
Bắt buộc{
"model": "your-model-id",
"voice": "your-voice-id",
"input": "Welcome to AnyInt Gateway."
}Các phản hồi
<binary>Hình ảnh
4 điểm cuốiGenerate and edit images with OpenAI-compatible requests.
Ví dụ yêu cầu
curl \
--request POST \
--url 'https://api.anyint.ai/v1/images/edits' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--form 'image=@path/to/image.png' \
--form 'model=your-model-id' \
--form 'prompt=Add a soft blue background.'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Nội dung yêu cầu
Bắt buộc{
"image": "image.png",
"model": "your-model-id",
"prompt": "Add a soft blue background."
}Các phản hồi
{
"created": 1700000000,
"data": [
{
"b64_json": "iVBORw0KGgoAAAANSUhEUgAAAAEAAAAB"
}
]
}Ví dụ yêu cầu
curl \
--request POST \
--url 'https://api.anyint.ai/openai/v1/images/edits' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--form 'image=@path/to/image.png' \
--form 'model=your-model-id' \
--form 'prompt=Add a soft blue background.'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Nội dung yêu cầu
Bắt buộc{
"image": "image.png",
"model": "your-model-id",
"prompt": "Add a soft blue background."
}Các phản hồi
{
"created": 1700000000,
"data": [
{
"b64_json": "iVBORw0KGgoAAAANSUhEUgAAAAEAAAAB"
}
]
}Ví dụ yêu cầu
curl \
--request POST \
--url 'https://api.anyint.ai/v1/images/generations' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"prompt": "A minimal paper sculpture of a cloud",
"n": 1
}'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Nội dung yêu cầu
Bắt buộc{
"model": "your-model-id",
"prompt": "A minimal paper sculpture of a cloud",
"n": 1
}Các phản hồi
{
"created": 1700000000,
"data": [
{
"b64_json": "iVBORw0KGgoAAAANSUhEUgAAAAEAAAAB"
}
]
}Ví dụ yêu cầu
curl \
--request POST \
--url 'https://api.anyint.ai/openai/v1/images/generations' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"prompt": "A minimal paper sculpture of a cloud",
"n": 1
}'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Nội dung yêu cầu
Bắt buộc{
"model": "your-model-id",
"prompt": "A minimal paper sculpture of a cloud",
"n": 1
}Các phản hồi
{
"created": 1700000000,
"data": [
{
"b64_json": "iVBORw0KGgoAAAANSUhEUgAAAAEAAAAB"
}
]
}Mô hình
4 điểm cuốiKhám phá các mô hình có sẵn qua từng giao thức.
Ví dụ yêu cầu
curl \
--request GET \
--url 'https://api.anyint.ai/openai/v1/models' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Các phản hồi
{
"object": "list",
"data": [
{
"id": "your-model-id",
"object": "model",
"created": 1767225600,
"owned_by": "configured-provider"
}
]
}Ví dụ yêu cầu
curl \
--request GET \
--url 'https://api.anyint.ai/v1/models' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Các phản hồi
{
"object": "list",
"data": [
{
"id": "your-model-id",
"object": "model",
"created": 1767225600,
"owned_by": "configured-provider"
}
]
}Ví dụ yêu cầu
curl \
--request GET \
--url 'https://api.anyint.ai/anthropic/v1/models' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Các phản hồi
{
"data": [
{
"id": "your-model-id",
"type": "model",
"display_name": "Configured model",
"created_at": "2026-01-01T00:00:00.000Z"
}
],
"has_more": false,
"first_id": "your-model-id",
"last_id": "your-model-id"
}Ví dụ yêu cầu
curl \
--request GET \
--url 'https://api.anyint.ai/gemini/v1beta/models' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Các phản hồi
{
"models": [
{
"name": "models/your-model-id",
"displayName": "Configured model",
"supportedGenerationMethods": [
"generateContent"
],
"inputTokenLimit": 8192,
"outputTokenLimit": 8192
}
]
}Phương tiện không đồng bộ
26 điểm cuốiTạo và kiểm tra các tác vụ không đồng bộ về hình ảnh, video và nhạc.
Ví dụ yêu cầu
curl \
--request POST \
--url 'https://api.anyint.ai/v1/videos' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-name",
"prompt": "A calm landscape",
"duration_seconds": 5
}'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Nội dung yêu cầu
Bắt buộc{
"model": "your-model-name",
"prompt": "A calm landscape",
"duration_seconds": 5
}Các phản hồi
{
"id": "task_example",
"taskId": "task_example",
"object": "video",
"status": "queued",
"created_at": 0
}Ví dụ yêu cầu
curl \
--request GET \
--url 'https://api.anyint.ai/v1/videos/<task_id>' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Tham số
| Tên | Vị trí | Loại | Bắt buộc | Mô tả |
|---|---|---|---|---|
| task_id | path | string | Bắt buộc | — |
Các phản hồi
{
"id": "task_example",
"taskId": "task_example",
"object": "video",
"status": "queued",
"created_at": 0
}Ví dụ yêu cầu
curl \
--request GET \
--url 'https://api.anyint.ai/v1/videos/<task_id>/content' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/octet-stream'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Tham số
| Tên | Vị trí | Loại | Bắt buộc | Mô tả |
|---|---|---|---|---|
| task_id | path | string | Bắt buộc | — |
Các phản hồi
<binary>Ví dụ yêu cầu
curl \
--request POST \
--url 'https://api.anyint.ai/openai/v1/videos' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-name",
"prompt": "A calm landscape",
"duration_seconds": 5
}'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Nội dung yêu cầu
Bắt buộc{
"model": "your-model-name",
"prompt": "A calm landscape",
"duration_seconds": 5
}Các phản hồi
{
"id": "task_example",
"taskId": "task_example",
"object": "video",
"status": "queued",
"created_at": 0
}Ví dụ yêu cầu
curl \
--request GET \
--url 'https://api.anyint.ai/openai/v1/videos/<task_id>' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Tham số
| Tên | Vị trí | Loại | Bắt buộc | Mô tả |
|---|---|---|---|---|
| task_id | path | string | Bắt buộc | — |
Các phản hồi
{
"id": "task_example",
"taskId": "task_example",
"object": "video",
"status": "queued",
"created_at": 0
}Ví dụ yêu cầu
curl \
--request GET \
--url 'https://api.anyint.ai/openai/v1/videos/<task_id>/content' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/octet-stream'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Tham số
| Tên | Vị trí | Loại | Bắt buộc | Mô tả |
|---|---|---|---|---|
| task_id | path | string | Bắt buộc | — |
Các phản hồi
<binary>Ví dụ yêu cầu
curl \
--request POST \
--url 'https://api.anyint.ai/v1/audio/generations' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-name",
"prompt": "A calm landscape",
"duration_seconds": 5
}'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Nội dung yêu cầu
Bắt buộc{
"model": "your-model-name",
"prompt": "A calm landscape",
"duration_seconds": 5
}Các phản hồi
{
"id": "task_example",
"taskId": "task_example",
"object": "audio",
"status": "queued",
"created_at": 0
}Ví dụ yêu cầu
curl \
--request GET \
--url 'https://api.anyint.ai/v1/audio/generations/<task_id>' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Tham số
| Tên | Vị trí | Loại | Bắt buộc | Mô tả |
|---|---|---|---|---|
| task_id | path | string | Bắt buộc | — |
Các phản hồi
{
"id": "task_example",
"taskId": "task_example",
"object": "audio",
"status": "queued",
"created_at": 0
}Ví dụ yêu cầu
curl \
--request GET \
--url 'https://api.anyint.ai/v1/audio/generations/<task_id>/content' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/octet-stream'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Tham số
| Tên | Vị trí | Loại | Bắt buộc | Mô tả |
|---|---|---|---|---|
| task_id | path | string | Bắt buộc | — |
Các phản hồi
<binary>Ví dụ yêu cầu
curl \
--request POST \
--url 'https://api.anyint.ai/openai/v1/audio/generations' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-name",
"prompt": "A calm landscape",
"duration_seconds": 5
}'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Nội dung yêu cầu
Bắt buộc{
"model": "your-model-name",
"prompt": "A calm landscape",
"duration_seconds": 5
}Các phản hồi
{
"id": "task_example",
"taskId": "task_example",
"object": "audio",
"status": "queued",
"created_at": 0
}Ví dụ yêu cầu
curl \
--request GET \
--url 'https://api.anyint.ai/openai/v1/audio/generations/<task_id>' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Tham số
| Tên | Vị trí | Loại | Bắt buộc | Mô tả |
|---|---|---|---|---|
| task_id | path | string | Bắt buộc | — |
Các phản hồi
{
"id": "task_example",
"taskId": "task_example",
"object": "audio",
"status": "queued",
"created_at": 0
}Ví dụ yêu cầu
curl \
--request GET \
--url 'https://api.anyint.ai/openai/v1/audio/generations/<task_id>/content' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/octet-stream'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Tham số
| Tên | Vị trí | Loại | Bắt buộc | Mô tả |
|---|---|---|---|---|
| task_id | path | string | Bắt buộc | — |
Các phản hồi
<binary>Ví dụ yêu cầu
curl \
--request POST \
--url 'https://api.anyint.ai/suno/generate' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-name",
"prompt": "A calm landscape",
"duration_seconds": 5
}'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Nội dung yêu cầu
Bắt buộc{
"model": "your-model-name",
"prompt": "A calm landscape",
"duration_seconds": 5
}Các phản hồi
{
"id": "task_example",
"taskId": "task_example",
"object": "audio",
"status": "queued",
"created_at": 0
}Ví dụ yêu cầu
curl \
--request GET \
--url 'https://api.anyint.ai/suno/query/task?taskId=<taskId>' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Tham số
| Tên | Vị trí | Loại | Bắt buộc | Mô tả |
|---|---|---|---|---|
| taskId | query | string | Bắt buộc | — |
Các phản hồi
{
"id": "task_example",
"taskId": "task_example",
"object": "audio",
"status": "queued",
"created_at": 0
}Ví dụ yêu cầu
curl \
--request GET \
--url 'https://api.anyint.ai/doubao/videos/<task_id>' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Tham số
| Tên | Vị trí | Loại | Bắt buộc | Mô tả |
|---|---|---|---|---|
| task_id | path | string | Bắt buộc | — |
Các phản hồi
{
"id": "task_example",
"taskId": "task_example",
"object": "video",
"status": "queued",
"created_at": 0
}Ví dụ yêu cầu
curl \
--request POST \
--url 'https://api.anyint.ai/v1/async-tasks/image-generations' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"prompt": "A minimal paper sculpture of a cloud"
}'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Nội dung yêu cầu
Bắt buộc{
"model": "your-model-id",
"prompt": "A minimal paper sculpture of a cloud"
}Các phản hồi
{
"object": "async_task",
"task": {
"id": "task_example",
"requestId": "req_example",
"tenantId": "tenant_example",
"protocol": "openai",
"taskType": "image_generation",
"status": "submitted",
"input": {
"prompt": "Example prompt"
},
"artifacts": [],
"artifactCount": 0,
"artifact_count": 0,
"billingSessions": [],
"billing_sessions": [],
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
},
"anyint": {
"request_id": "req_example",
"route_decision_id": "route_example"
},
"duplicate": true
}Ví dụ yêu cầu
curl \
--request POST \
--url 'https://api.anyint.ai/v1/async-tasks/video-generations' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"prompt": "Slow aerial movement over a quiet coast",
"duration_seconds": 6,
"fps": 24
}'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Nội dung yêu cầu
Bắt buộc{
"model": "your-model-id",
"prompt": "Slow aerial movement over a quiet coast",
"duration_seconds": 6,
"fps": 24
}Các phản hồi
{
"object": "async_task",
"task": {
"id": "task_example",
"requestId": "req_example",
"tenantId": "tenant_example",
"protocol": "openai",
"taskType": "video_generation",
"status": "submitted",
"input": {
"prompt": "Example prompt"
},
"artifacts": [],
"artifactCount": 0,
"artifact_count": 0,
"billingSessions": [],
"billing_sessions": [],
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
},
"anyint": {
"request_id": "req_example",
"route_decision_id": "route_example"
},
"duplicate": true
}Ví dụ yêu cầu
curl \
--request POST \
--url 'https://api.anyint.ai/v1/videos/generations' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"prompt": "Slow aerial movement over a quiet coast",
"duration_seconds": 6,
"fps": 24
}'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Nội dung yêu cầu
Bắt buộc{
"model": "your-model-id",
"prompt": "Slow aerial movement over a quiet coast",
"duration_seconds": 6,
"fps": 24
}Các phản hồi
{
"object": "async_task",
"task": {
"id": "task_example",
"requestId": "req_example",
"tenantId": "tenant_example",
"protocol": "openai",
"taskType": "video_generation",
"status": "submitted",
"input": {
"prompt": "Example prompt"
},
"artifacts": [],
"artifactCount": 0,
"artifact_count": 0,
"billingSessions": [],
"billing_sessions": [],
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
},
"anyint": {
"request_id": "req_example",
"route_decision_id": "route_example"
},
"duplicate": true
}Ví dụ yêu cầu
curl \
--request POST \
--url 'https://api.anyint.ai/v1/async-tasks/music-generations' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"prompt": "Warm ambient music with soft piano",
"duration_seconds": 30
}'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Nội dung yêu cầu
Bắt buộc{
"model": "your-model-id",
"prompt": "Warm ambient music with soft piano",
"duration_seconds": 30
}Các phản hồi
{
"object": "async_task",
"task": {
"id": "task_example",
"requestId": "req_example",
"tenantId": "tenant_example",
"protocol": "openai",
"taskType": "music_generation",
"status": "submitted",
"input": {
"prompt": "Example prompt"
},
"artifacts": [],
"artifactCount": 0,
"artifact_count": 0,
"billingSessions": [],
"billing_sessions": [],
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
},
"anyint": {
"request_id": "req_example",
"route_decision_id": "route_example"
},
"duplicate": true
}Ví dụ yêu cầu
curl \
--request POST \
--url 'https://api.anyint.ai/v1/music/generations' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"prompt": "Warm ambient music with soft piano",
"duration_seconds": 30
}'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Nội dung yêu cầu
Bắt buộc{
"model": "your-model-id",
"prompt": "Warm ambient music with soft piano",
"duration_seconds": 30
}Các phản hồi
{
"object": "async_task",
"task": {
"id": "task_example",
"requestId": "req_example",
"tenantId": "tenant_example",
"protocol": "openai",
"taskType": "music_generation",
"status": "submitted",
"input": {
"prompt": "Example prompt"
},
"artifacts": [],
"artifactCount": 0,
"artifact_count": 0,
"billingSessions": [],
"billing_sessions": [],
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
},
"anyint": {
"request_id": "req_example",
"route_decision_id": "route_example"
},
"duplicate": true
}Ví dụ yêu cầu
curl \
--request GET \
--url 'https://api.anyint.ai/v1/async-tasks' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Các phản hồi
{
"object": "list",
"data": [
{
"id": "task_example",
"requestId": "req_example",
"tenantId": "tenant_example",
"protocol": "openai",
"taskType": "image_generation",
"status": "queued",
"input": {
"prompt": "Example prompt"
},
"artifacts": [],
"artifactCount": 0,
"artifact_count": 0,
"billingSessions": [],
"billing_sessions": [],
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
}
]
}Ví dụ yêu cầu
curl \
--request GET \
--url 'https://api.anyint.ai/v1/async-tasks/<task_id>' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Tham số
| Tên | Vị trí | Loại | Bắt buộc | Mô tả |
|---|---|---|---|---|
| task_id | path | string | Bắt buộc | — |
Các phản hồi
{
"object": "async_task",
"task": {
"id": "task_example",
"requestId": "req_example",
"tenantId": "tenant_example",
"protocol": "openai",
"taskType": "image_generation",
"status": "queued",
"input": {
"prompt": "Example prompt"
},
"artifacts": [],
"artifactCount": 0,
"artifact_count": 0,
"billingSessions": [],
"billing_sessions": [],
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
}
}Ví dụ yêu cầu
curl \
--request GET \
--url 'https://api.anyint.ai/v1/tasks/<task_id>' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Tham số
| Tên | Vị trí | Loại | Bắt buộc | Mô tả |
|---|---|---|---|---|
| task_id | path | string | Bắt buộc | — |
Các phản hồi
{
"object": "generation_task",
"task": {
"id": "task_example",
"requestId": "req_example",
"tenantId": "tenant_example",
"protocol": "openai",
"taskType": "image_generation",
"status": "queued",
"input": {
"prompt": "Example prompt"
},
"artifacts": [],
"artifactCount": 0,
"artifact_count": 0,
"billingSessions": [],
"billing_sessions": [],
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
}
}Ví dụ yêu cầu
curl \
--request POST \
--url 'https://api.anyint.ai/v1/tasks/<task_id>/cancel' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Tham số
| Tên | Vị trí | Loại | Bắt buộc | Mô tả |
|---|---|---|---|---|
| task_id | path | string | Bắt buộc | — |
Các phản hồi
{
"object": "generation_task",
"task": {
"id": "task_example",
"requestId": "req_example",
"tenantId": "tenant_example",
"protocol": "openai",
"taskType": "image_generation",
"status": "queued",
"input": {
"prompt": "Example prompt"
},
"artifacts": [],
"artifactCount": 0,
"artifact_count": 0,
"billingSessions": [],
"billing_sessions": [],
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
}
}Ví dụ yêu cầu
curl \
--request POST \
--url 'https://api.anyint.ai/v1/async-tasks/<task_id>/cancel' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Tham số
| Tên | Vị trí | Loại | Bắt buộc | Mô tả |
|---|---|---|---|---|
| task_id | path | string | Bắt buộc | — |
Các phản hồi
{
"object": "generation_task",
"task": {
"id": "task_example",
"requestId": "req_example",
"tenantId": "tenant_example",
"protocol": "openai",
"taskType": "image_generation",
"status": "queued",
"input": {
"prompt": "Example prompt"
},
"artifacts": [],
"artifactCount": 0,
"artifact_count": 0,
"billingSessions": [],
"billing_sessions": [],
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
}
}Ví dụ yêu cầu
curl \
--request GET \
--url 'https://api.anyint.ai/v1/async-tasks/<task_id>/artifacts/<artifact_id>?tenant_id=<tenant_id>&expires_at=<expires_at>&signature=<signature>' \
--header 'Accept: application/octet-stream'Xác thực
Không yêu cầu xác thực
Tham số
| Tên | Vị trí | Loại | Bắt buộc | Mô tả |
|---|---|---|---|---|
| task_id | path | string | Bắt buộc | — |
| artifact_id | path | string | Bắt buộc | — |
| tenant_id | query | string | Bắt buộc | — |
| expires_at | query | integer | Bắt buộc | — |
| signature | query | string | Bắt buộc | — |
Các phản hồi
<binary>Tin nhắn Anthropic
2 điểm cuốiSử dụng tin nhắn gốc Anthropic, đếm token và khám phá mô hình.
Ví dụ yêu cầu
curl \
--request POST \
--url 'https://api.anyint.ai/anthropic/v1/messages' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"max_tokens": 256,
"messages": [
{
"role": "user",
"content": "Explain edge computing briefly."
}
]
}'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Nội dung yêu cầu
Bắt buộc{
"model": "your-model-id",
"max_tokens": 256,
"messages": [
{
"role": "user",
"content": "Explain edge computing briefly."
}
]
}Các phản hồi
{
"id": "msg_example",
"type": "message",
"role": "assistant",
"content": [
{
"type": "text",
"text": "Edge computing runs workloads near the data source."
}
]
}Ví dụ yêu cầu
curl \
--request POST \
--url 'https://api.anyint.ai/anthropic/v1/messages/count_tokens' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"model": "your-model-id",
"messages": [
{
"role": "user",
"content": "Hello"
}
]
}'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Nội dung yêu cầu
Bắt buộc{
"model": "your-model-id",
"messages": [
{
"role": "user",
"content": "Hello"
}
]
}Các phản hồi
{
"input_tokens": 12
}Nội dung Gemini
4 điểm cuốiSử dụng tính năng tạo và truyền nội dung gốc Gemini.
Ví dụ yêu cầu
curl \
--request POST \
--url 'https://api.anyint.ai/gemini/v1beta/models/<model>:generateContent' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"contents": [
{
"parts": [
{
"text": "Explain edge computing briefly."
}
]
}
]
}'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Tham số
| Tên | Vị trí | Loại | Bắt buộc | Mô tả |
|---|---|---|---|---|
| model | path | string | Bắt buộc | — |
Nội dung yêu cầu
Bắt buộc{
"contents": [
{
"parts": [
{
"text": "Explain edge computing briefly."
}
]
}
]
}Các phản hồi
{
"candidates": [
{
"content": {
"role": "model",
"parts": [
{
"text": "Edge computing reduces latency."
}
]
}
}
]
}Ví dụ yêu cầu
curl \
--request POST \
--url 'https://api.anyint.ai/gemini/v1beta/models/<model>:streamGenerateContent' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: text/event-stream' \
--header 'Content-Type: application/json' \
--data '{
"contents": [
{
"parts": [
{
"text": "Explain edge computing briefly."
}
]
}
]
}'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Tham số
| Tên | Vị trí | Loại | Bắt buộc | Mô tả |
|---|---|---|---|---|
| model | path | string | Bắt buộc | — |
| alt | query | string | Tùy chọn | — |
Nội dung yêu cầu
Bắt buộc{
"contents": [
{
"parts": [
{
"text": "Explain edge computing briefly."
}
]
}
]
}Các phản hồi
data: {"candidates":[{"content":{"role":"model","parts":[{"text":"Edge computing reduces latency."}]}}]}
Ví dụ yêu cầu
curl \
--request POST \
--url 'https://api.anyint.ai/gemini/v1beta/models/<model>/generateContent' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"contents": [
{
"parts": [
{
"text": "Explain edge computing briefly."
}
]
}
]
}'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Tham số
| Tên | Vị trí | Loại | Bắt buộc | Mô tả |
|---|---|---|---|---|
| model | path | string | Bắt buộc | — |
Nội dung yêu cầu
Bắt buộc{
"contents": [
{
"parts": [
{
"text": "Explain edge computing briefly."
}
]
}
]
}Các phản hồi
{
"candidates": [
{
"content": {
"role": "model",
"parts": [
{
"text": "Edge computing reduces latency."
}
]
}
}
]
}Ví dụ yêu cầu
curl \
--request POST \
--url 'https://api.anyint.ai/gemini/v1beta/models/<model>/streamGenerateContent' \
--header 'Authorization: Bearer <ANYINT_API_KEY>' \
--header 'Accept: text/event-stream' \
--header 'Content-Type: application/json' \
--data '{
"contents": [
{
"parts": [
{
"text": "Explain edge computing briefly."
}
]
}
]
}'Xác thực
http · bearerTruyền khóa API nhà phát triển AnyInt dưới dạng mã thông báo Bearer trong tiêu đề Authorization.Tham số
| Tên | Vị trí | Loại | Bắt buộc | Mô tả |
|---|---|---|---|---|
| model | path | string | Bắt buộc | — |
| alt | query | string | Tùy chọn | — |
Nội dung yêu cầu
Bắt buộc{
"contents": [
{
"parts": [
{
"text": "Explain edge computing briefly."
}
]
}
]
}Các phản hồi
data: {"candidates":[{"content":{"role":"model","parts":[{"text":"Edge computing reduces latency."}]}}]}